Skip to content

Sync Secret

POST
/api/v1/secrets/sync
curl --request POST \
--url https://example.com/api/v1/secrets/sync \
--header 'Content-Type: application/json' \
--data '{ "connector_name": "example", "connection_ref": "example" }'

Sync a vault secret into the configured Databricks secret scope.

Media typeapplication/json
SecretSyncRequest
object
connector_name
required
Connector Name
string
connection_ref
required
Connection Ref
string
Examplegenerated
{
"connector_name": "example",
"connection_ref": "example"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}